TaskRecoverEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, class: TaskRecoverEvent

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Class TaskRecoverEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<TaskEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent
org.apache.hadoop.mapreduce.v2.app.job.event.TaskRecoverEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<TaskEventType>`

public class TaskRecoverEvent extends TaskEvent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskRecoverEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID, org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskInfo taskInfo, org.apache.hadoop.mapreduce.OutputCommitter committer, boolean recoverTaskOutput)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.mapreduce.OutputCommitter`
  `getOutputCommitter()`
  `boolean`
  `getRecoverTaskOutput()`
  `org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskInfo`
  `getTaskInfo()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent

  `getTaskID`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskRecoverEvent

    public TaskRecoverEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID, org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskInfo taskInfo, org.apache.hadoop.mapreduce.OutputCommitter committer, boolean recoverTaskOutput)

- ## Method Details

  - ### getTaskInfo

    public org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskInfo getTaskInfo()

  - ### getOutputCommitter

    public org.apache.hadoop.mapreduce.OutputCommitter getOutputCommitter()

  - ### getRecoverTaskOutput

    public boolean getRecoverTaskOutput()